/*Web Page Control*/

body {
    background-color: black;
}

.topbar {
    height: 60px;
    width: 100%;
    padding: 0% 0%;
    position: fixed;
    top: 0px;
    left: 0px;
    background-color: gray;
    z-index: 2;
    display: inline;
}

.topbar a {
    float: left;
    color: white;
    text-align: center;
    padding: 0%;
    text-decoration: none;
    font-size: 40px;
    
}

.topbar a div {
    height: 60px;
    margin-left: 5px;
    background-color: gray;
    float: left;
    font-size: 40px;
    animation-name: bar_button;
    animation-duration: 1s;
    transition: 0.5s;
}

.topbar a div:hover {
    background-color: #2f2f2f;
}

.topbar a div p {
    position: relative;
    top: -35px;
}

.loading {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.8);
}

.loading_content {
    background-color: #888888;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 15%;
    text-align: center;
}

.flex {
    width: 100%;
    display: flex;
    align-items: stretch;
}

footer *{
    position: fixed;
    bottom: 5px;
}

footer #version {
    left: 5px;
}

footer #cc {
    right: 10px;
}

ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    width: 200px;
    background-color: #5e5e5e;
    float: left;
    display: inline;
}
  
li .unopen{
    background-color: #292929;
}

li a {
    display: block;
    color: #ffffff;
    padding: 8px 16px;
    text-decoration: none;
}

ul .button {
    display: block;
    color: #ffffff;
    padding: 8px 16px;
    text-decoration: none;
}

ul .button:hover {
    background-color: #a8a635;
    color: white;
}
  
/* Change the link color on hover */
li a:hover:not(.unopen) {
    background-color: #a8a635;
    color: white;
}

/*Buttons*/

.button:not(li) {
    background-color: black;
}

.button:hover {
    background-color: rgb(134, 130, 75);
}

.not_done:hover {
    background-color: rgb(91, 0, 0);
}

.big_button {
    background-color: black;
}

.big_button:hover {
    background-color: rgb(188, 183, 109);
}


/*Text Control*/

a {
    text-decoration: none;
}

.text {
    color: white;
    text-decoration: none;
}

/*align control*/
.left {
    text-align: left;
}

.center {
    text-align: center;
}

.right {
    text-align: right;
}

/*Animations*/

@keyframes bar_button {
    0% {
        position: relative;
        top:-10px;
        opacity: 0;
    }
    100% {
        top: 10px;
        opacity: 1;
    }
}
